<!--
  function checkPopupBlock(){
    var getCookie = GetCookie("name");  // クッキーの取得
    if (getCookie == null) {
      CheckPopUpBlock();
    }
    return;
  }

  function CheckPopUpBlock(){
    var flgERR = false;
    var tmpname;

    var displayWidth = screen.width;
    var displayHeight = screen.height;

    //var winWidth = displayWidth/2;
    //var winHeight = displayHeight/2;
    var winWidth = 1;
    var winHeight = 1;

    var winLeft = displayWidth/4;
    var winTop = displayHeight/4;

    var optionString = "toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,";
    optionString += "width=" + winWidth + ",height=" + winHeight + ",left=" + winLeft + ",top=" + winTop;

    var strURL = "http://support.xcalat.com/x2s/faq/howto/popupblockoff.asp?SVList=www.e-cube.goo.ne.jp,*.e-cube.jp,support.xcalat.com";
    var strURLdummy = "test.html";

    w1 = window.open(strURLdummy, "Test1", optionString);

    try{
      if (w1 == null){      //XPSP2,Googleツールバー用
        flgERR = true;
      }else{
        tmpname = w1.name;    //Yahooツールバー用
        w1.close();
      }
    }catch(e){
      flgERR = true;
      w1.close();
    }

    w2 = window.open(strURLdummy, "Test2", optionString);

    try{
      if (w2 == null){      //XPSP2,Googleツールバー用
        flgERR = true;
      }else{
        tmpname = w2.name;    //Yahooツールバー用
        w2.close();
      }
    }catch(e){
      flgERR = true;
      w2.close();
    }

    if (flgERR == true) { //ポップアップブロックが有効
      //location.replace("../../../../jsp/xmo/Base/PopUpBlockChk.jsp");
      //エラーメッセージ表示
      var documentMsgP = "";
      documentMsgP = documentMsgP + "<html><head>";
      documentMsgP = documentMsgP + "<meta http-equiv='Expires' content='0'>";
      documentMsgP = documentMsgP + "<meta http-equiv='Cache-Control' content='no-cache'>";
      documentMsgP = documentMsgP + "<meta http-equiv='Content-Type' content='text/html; charset=x-sjis'>";
      documentMsgP = documentMsgP + "<LINK href='style.css' type=text/css rel=stylesheet>";
      documentMsgP = documentMsgP + "</head><body>";
      documentMsgP = documentMsgP + "<center>";

      documentMsgP = documentMsgP + "<table width='540' border='0' cellspacing='0' cellpadding='0'>";
      documentMsgP = documentMsgP + "<tr><td colspan=2 align='center'><SPAN class=L><font color='red'>■ログイン前にご確認ください！■</font></SPAN><br><br></td></tr>";
      documentMsgP = documentMsgP + "<tr><td width='50' valign='top'><img src='image/attention.gif' width='34' height='32'></td>";
      documentMsgP = documentMsgP + "<td><SPAN class=L>お客様のご利用のコンピュータでは、<font color='red'>ポップアップブロックが有効になっているようです。</font><br>";
      documentMsgP = documentMsgP + "<font color='red'>ライブカウンセリングやテストが受けられない</font>といった不具合が起きる可能性がありますので、";
      documentMsgP = documentMsgP + "<a href='" + strURL + "' target='_blank'>こちら</a>の手順にてOFFにしてからログインしてください。<br><br>";
      documentMsgP = documentMsgP + "・問合せ窓口：イーキューブ・カスタマーサポートセンター<br>";
      documentMsgP = documentMsgP + "<img src='image/sp.gif' width='20' height='5'>";
      documentMsgP = documentMsgP + "TEL：<b>0120-207550</b>";
      documentMsgP = documentMsgP + "<img src='image/sp.gif' width='5' height='5'>";
      documentMsgP = documentMsgP + "（受付時間 月〜金 17：00〜21：15、土 12：30〜17：15）<br>";
      documentMsgP = documentMsgP + "<img src='image/sp.gif' width='20' height='5'>";
      documentMsgP = documentMsgP + "メール：help_kansou@e-cube.ne.jp";
      documentMsgP = documentMsgP + "<br></td></tr></table>";
      documentMsgP = documentMsgP + "</body></html>";

      document.writeln(documentMsgP);
      parent.window.document.all.popuperrframe.style.height="260";
      parent.window.document.all('popupcheck').style.visibility="visible";
      //ログインボックスを隠す
      parent.window.document.all('loginbox').style.visibility="hidden";
    }

  }

//  name で指定されたキーのクッキーを書き出す関数 
  function SetCookie(vOption){
    var strName;
    var vExpires, strExpires;
    var strSecure;
    strName = "name=Xcalat2PopupBlockCheck;";

    vExpires = new Date();

    if (vOption == "1"){
      vExpires.setYear(vExpires.getYear() + 10);      // 有効期限を「10年」に設定する
    }else{
//      vExpires.setMonth(vExpires.getMonth() + 1);     // 有効期限を「１か月１回」に設定する
      vExpires.setDate(vExpires.getDate() + 7);       // 有効期限を「１週間ごと」に設定する
    }
    strExpires = "expires=" + vExpires.toGMTString( ) + ";";

    document.cookie = strName + strExpires;
    alert("Cookie に設定しました。");
    window.close();
  }

//  name で指定されたキーのクッキーを読み出す関数 
  function GetCookie (name){
    var arg  = name + "=";
    var alen = arg.length;
    var clen = document.cookie.length;
    var i = 0;

    while (i < clen){
      var j = i + alen;
      if (document.cookie.substring(i, j) == arg)
      return getCookieVal (j);
      i = document.cookie.indexOf(" ", i) + 1;
      if (i == 0) break;
    }
    return null;
  }

  function getCookieVal (offset){
    var endstr = document.cookie.indexOf (";", offset);
    if (endstr == -1){
      endstr = document.cookie.length;
    } 

    return unescape(document.cookie.substring(offset,endstr));
  }

//  name で指定されたキーのクッキーを削除する関数 
  function DelCookie(){
    var strName;
    var vExpires, strExpires;

    var getCookie = GetCookie("name");  // クッキーの取得
    if (getCookie != null) {      // クッキーがある場合は削除
      strName = "name=Xcalat2PopupBlockCheck;";
      vExpires = new Date();
      vExpires.setDate(vExpires.getDate() -1);
      strExpires = "expires=" + vExpires.toGMTString( ) + ";";
      document.cookie = strName + strExpires;
    }
    window.close();
  }


// -->
